Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QTextCharFormat.VerticalAlignment

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QTextCharFormat.VerticalAlignment

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QTextCharFormat

    public static final class QTextCharFormat.VerticalAlignment

extends java.lang.Enum
implements QtEnumerator

This enum describes the ways that adjacent characters can be vertically aligned.

See Also:
  Serialized Form

Field Summary
`static QTextCharFormat.VerticalAlignment` | `AlignBottom` The bottom edge of the object is vertically aligned with the base line.
`static QTextCharFormat.VerticalAlignment` | `AlignMiddle` This is currently only implemented for inline objects.
`static QTextCharFormat.VerticalAlignment` | `AlignNormal` Adjacent characters are positioned in the standard way for text in the writing system in use.
`static QTextCharFormat.VerticalAlignment` | `AlignSubScript` Characters are placed below the baseline for normal text.
`static QTextCharFormat.VerticalAlignment` | `AlignSuperScript` Characters are placed above the baseline for normal text.
`static QTextCharFormat.VerticalAlignment` | `AlignTop` The top edge of the object is vertically aligned with the base line.

Method Summary
`static QTextCharFormat.VerticalAlignment` | `resolve(int value)` Returns the QTextCharFormat$VerticalAlignment constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QTextCharFormat.VerticalAlignment` | `valueOf(java.lang.String name)`
`static QTextCharFormat.VerticalAlignment[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### AlignNormal

    public static final QTextCharFormat.VerticalAlignment AlignNormal

  Adjacent characters are positioned in the standard way for text in the writing system in use.

### AlignSuperScript

    public static final QTextCharFormat.VerticalAlignment AlignSuperScript

  Characters are placed above the baseline for normal text.

### AlignSubScript

    public static final QTextCharFormat.VerticalAlignment AlignSubScript

  Characters are placed below the baseline for normal text.

### AlignMiddle

    public static final QTextCharFormat.VerticalAlignment AlignMiddle

  This is currently only implemented for inline objects. The center of the object is vertically aligned with the base line.

### AlignTop

    public static final QTextCharFormat.VerticalAlignment AlignTop

  The top edge of the object is vertically aligned with the base line.

### AlignBottom

    public static final QTextCharFormat.VerticalAlignment AlignBottom

  The bottom edge of the object is vertically aligned with the base line.

Method Detail

### values

    public static QTextCharFormat.VerticalAlignment[] values()

### valueOf

    public static QTextCharFormat.VerticalAlignment valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QTextCharFormat.VerticalAlignment resolve(int value)

  Returns the QTextCharFormat$VerticalAlignment constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD